Bug 1028153 - Switching from dual monitor to single monitor produced two panels.
Switching from dual monitor to single monitor produced two panels.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kde-workspace (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 14:11 EST by George R. Goffe
Modified: 2015-02-17 14:07 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:07:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George R. Goffe 2013-11-07 14:11:40 EST
Description of problem:

I recently installed Fedora 19 x86_64. In the display config from "system settings" I de-selected the monitor in my laptop and am using the monitor connected to the HDMI port of the laptop. This was not in a "real" dual monitor configuration. This produced two panels at the bottom of my screen. The original one is in the background and the one from the left (laptop) monitor is smaller and in front of the original one.

Version-Release number of selected component (if applicable):

basesystem-10.0-8.fc19.noarch

How reproducible:

Happens all the time

Steps to Reproduce:
1. see the description above.
2.
3.

Actual results:

See above.

Expected results:

A single monitor behaving as a single monitor from the HDMI port

Additional info:
Comment 1 George R. Goffe 2013-11-14 08:28:20 EST
After several yum update executions, I rebooted the system.

The values I had specified (the removal of the laptop's monitor from the config was back. When I disabled the monitor and poked the apply button, the system lost it's mind.

. the mouse became non functional
. the display with various konsoles locations was changed, some disappeared
. the firefox was partially off the edge of the hdmi (right) monitor as if the size of the display had been expanded beyond the physical size of the monitor as was the ktorrent display
. the screenshot capability was non functional (this may not have been caused by this event though)
. the keyboard still worked though the mouse was gone (both devices are USB devices).
. alt-ctrl-backspace did NOT work
. the dual panels at the bottom were still present. it should be noted that they behaved as if the first (left) monitor's panels had been relocated to the hdmi (right) monitor.

This problem area is becoming very serious.
Comment 2 George R. Goffe 2013-11-18 01:47:34 EST
It was suggested in https://bugs.kde.org/show_bug.cgi?id=183143 that having kscreen installed might solve parts of this problem. I just checked my system, fedora 19 x86_64 and kscreen is installed at kscreen-1.0.1-1.fc19.x86_64.
Comment 3 Kevin Kofler 2013-11-29 18:25:34 EST
This bug is not the same as kde#183143.
Comment 4 Fedora End Of Life 2015-01-09 15:31:00 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 14:07:47 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.